id: wordpress-really-simple-captcha

info:
  name: Really Simple CAPTCHA Detection
  author: ricardomaia
  severity: info
  reference:
    - https://wordpress.org/plugins/really-simple-captcha/
  metadata:
    plugin_namespace: really-simple-captcha
    wpscan: https://wpscan.com/plugin/really-simple-captcha
  tags: tech,wordpress,wp-plugin,top-200

http:
  - method: GET
    path:
      - "{{BaseURL}}/wp-content/plugins/really-simple-captcha/readme.txt"

    payloads:
      last_version: helpers/wordpress/plugins/really-simple-captcha.txt

    extractors:
      - type: regex
        part: body
        internal: true
        name: internal_detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

      - type: regex
        part: body
        name: detected_version
        group: 1
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'

    matchers-condition: or
    matchers:
      - type: dsl
        name: "outdated_version"
        dsl:
          - compare_versions(internal_detected_version, concat("< ", last_version))

      - type: regex
        part: body
        regex:
          - '(?i)Stable.tag:\s?([\w.]+)'
# digest: 490a00463044022062b9ab42c03905346547cb1a301db836b1e812a8a28144ddb88841e4572d38a1022079e0d487737b0c48c14dd09f67d6030a8a273ce9f68dd4894df23bdefaea726a:922c64590222798bb761d5b6d8e72950